# Class default

A reference counted handle that can be added and removed multiple times.

#####
Index

### Constructors

constructor

### Methods

add
destroy

##
Constructors

### constructor

- new default(getHandle): default

- #### Parameters

  - getHandle: (() => ResourceHandle)
    - - (): ResourceHandle

      - #### Returns ResourceHandle

  #### Returns default

##
Methods

### add

- add(): ResourceHandle

- Adds a reference to the handle.

  #### Returns ResourceHandle

  A handle that can be removed.

### destroy

- destroy(): void

- Destroys the handle.

  #### Returns void